Package csb :: Package statistics :: Package samplers :: Package mc :: Module neqsteppropagator :: Class NonequilibriumTrajectory

[frames] | no frames]

# Class NonequilibriumTrajectory

source code

                  object --+
                           |
        core.AbstractIndexer --+
                               |
    core.BaseCollectionContainer --+
                                   |
            core.CollectionContainer --+
                                       |
                          object --+   |
                                   |   |
           AbstractPropagationResult --+
                                       |
                              Trajectory --+
                                           |
                                          NonequilibriumTrajectory

Trajectory holding additional information about energy difference the Jacobian.

Nested Classes
Inherited from `AbstractPropagationResult`: `__metaclass__`

Instance Methods

__init__(self, items, heat=0.0, work=0.0, deltaH=0.0, jacobian=1.0, stats=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `core.CollectionContainer`: `append` Inherited from `core.BaseCollectionContainer`: `__bool__`, `__contains__`, `__getitem__`, `__iter__`, `__len__`, `__nonzero__`, `__repr__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
Inherited from `Trajectory`: `__abstractmethods__`

Properties
| deltaH
| jacobian
| stats
Inherited from `Trajectory`: `final`, `heat`, `initial`, `work` Inherited from `core.BaseCollectionContainer`: `last_index`, `length`, `start_index` Inherited from `object`: `__class__`

Method Details

### __init__(self, items, heat=0.0, work=0.0, deltaH=0.0, jacobian=1.0, stats=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `items` (list of States) - sequence of trajectory states
  - `heat` (float) - heat produced during the trajectory
  - `work` (float) - work expended during the trajectory
  - `deltaH` (float) - energy difference between initial and final states
  - `jacobian` (float) - product of Jacobians of perturbations applied in the calculation of the trajectory
Overrides: object.__init__
  (inherited documentation)

Property Details

### deltaH

Get Method:
  unreachable.deltaH(self)
Set Method:
  unreachable.deltaH(self, value)

### jacobian

Get Method:
  unreachable.jacobian(self)
Set Method:
  unreachable.jacobian(self, value)

### stats

Get Method:
  unreachable.stats(self)
Set Method:
  unreachable.stats(self, value)